Issue1921

classification
Title: compiler module broken in Jython 2.7
Type: Severity: normal
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, fwierzbicki
Priority: Keywords: patch

Created on 2012-06-14.03:08:53 by Arfrever, last changed 2012-07-13.20:47:56 by Arfrever.

Files
File name Uploaded Description Edit Remove
compiler-SC_GLOBAL.patch Arfrever, 2012-06-28.00:54:31
Messages
msg7216 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-06-14.03:08:53
$ jython2.5 -c 'import compiler'
$ jython2.7 -c 'import compiler'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/share/jython-2.7/Lib/compiler/__init__.py", line 31, in <module>
    from compiler.pycodegen import compile, compileFile
  File "/usr/share/jython-2.7/Lib/compiler/pycodegen.py", line 11, in <module>
    from compiler.consts import SC_LOCAL, SC_GLOBAL, SC_FREE, SC_CELL
ImportError: cannot import name SC_GLOBAL
$ 

Some changes from http://hg.python.org/cpython/rev/4809afa85a9b should be backported.
msg7270 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-06-28.00:54:31
This patch should be committed after committing patch for issue #1920.
msg7315 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-07-13.20:47:06
Fixed in default, thanks Arfrever!
msg7317 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-07-13.20:47:56
http://hg.python.org/jython/rev/e0a776d3a03e
History
Date User Action Args
2012-07-13 20:47:56Arfreversetmessages: + msg7317
2012-07-13 20:47:06fwierzbickisetstatus: open -> closed
resolution: fixed
messages: + msg7315
2012-06-28 00:54:31Arfreversetfiles: + compiler-SC_GLOBAL.patch
keywords: + patch
messages: + msg7270
2012-06-18 21:39:25Arfreversetnosy: + fwierzbicki
2012-06-14 03:08:53Arfrevercreate